Bug 61313

Summary: configure incorrectly strips $target_alias from PLUGIN_LD_SUFFIX
Product: gcc Reporter: PaX Team <pageexec>
Component: ltoAssignee: Eric Botcazou <ebotcazou>
Status: RESOLVED FIXED    
Severity: minor CC: ebotcazou, jeffreyalaw
Priority: P3    
Version: 4.9.3   
Target Milestone: 4.9.4   
Host: Target:
Build: Known to work:
Known to fail: Last reconfirmed: 2015-11-18 00:00:00

Description PaX Team 2014-05-26 00:57:18 UTC
When gcc is configured using --with-plugin-ld=/some/path/x86_64-pc-linux-gnu-hjl-master/bin/ld the resulting ld path will be reduced to the incorrect /some/path/hjl-master/bin/ld (for a x86_64-pc-linux-gnu target). This change was introduced by git commit 61f41b94c58c64e7334d97df57d6467cb1c7b70e and is part of gcc 4.8+.
Comment 1 Eric Botcazou 2015-11-18 23:35:35 UTC
$target_alias needs to be stripped from the executable name though.  I guess it's just a matter of writing the proper regex for sed, but no plan to work on it in the foreseeable future as far as I'm concerned.
Comment 2 PaX Team 2015-11-19 01:11:53 UTC
do you have a few examples of expected input/output path pairs perhaps?
Comment 3 Eric Botcazou 2015-11-19 11:29:13 UTC
Let's just revert part of the change then, no big deal.
Comment 4 Eric Botcazou 2015-11-19 13:32:04 UTC
Author: ebotcazou
Date: Thu Nov 19 13:31:33 2015
New Revision: 230603

URL: https://gcc.gnu.org/viewcvs?rev=230603&root=gcc&view=rev
Log:
	PR lto/61313
	* configure.ac (PLUGIN_LD_SUFFIX): Do not touch the value specified
	by the user.
	* configure: Regenerate.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/configure
    trunk/gcc/configure.ac
Comment 5 Eric Botcazou 2015-11-19 13:32:42 UTC
Author: ebotcazou
Date: Thu Nov 19 13:32:10 2015
New Revision: 230604

URL: https://gcc.gnu.org/viewcvs?rev=230604&root=gcc&view=rev
Log:
	PR lto/61313
	* configure.ac (PLUGIN_LD_SUFFIX): Do not touch the value specified
	by the user.
	* configure: Regenerate.

Modified:
    branches/gcc-5-branch/gcc/ChangeLog
    branches/gcc-5-branch/gcc/configure
    branches/gcc-5-branch/gcc/configure.ac
Comment 6 Eric Botcazou 2015-11-19 13:33:26 UTC
Author: ebotcazou
Date: Thu Nov 19 13:32:54 2015
New Revision: 230605

URL: https://gcc.gnu.org/viewcvs?rev=230605&root=gcc&view=rev
Log:
	PR lto/61313
	* configure.ac (PLUGIN_LD_SUFFIX): Do not touch the value specified
	by the user.
	* configure: Regenerate.

Modified:
    branches/gcc-4_9-branch/gcc/ChangeLog
    branches/gcc-4_9-branch/gcc/configure
    branches/gcc-4_9-branch/gcc/configure.ac
Comment 7 Eric Botcazou 2015-11-19 13:34:45 UTC
Fixed everywhere.